/************************************************************************
 *									*
 *		nr^Q@IC[UT|[gVXe		*
 *			ob|mds^Q				*
 *									*
 *				: Oϐ				*
 *		t@C	: data.c				*
 *		쐬		: s.aizawa				*
 *									*
 ************************************************************************/

#include "pcnet.h"

char	systemName[] = "ob|mds^Q";	/* VXe */
char	version[] = "Version 1.00A";		/* o[WmD */

/*	EBhENX	*/
CHAR	szMainClassName[] = "MAIN_WINDOW";
CHAR	szMonitorClassName[] = "MONITOR_WINDOW";
CHAR	szUserClassName[] = "USER_WINDOW";
CHAR	szBBSClassName[] = "BBS_WINDOW";
CHAR	szMailClassName[] = "MAIL_WINDOW";
CHAR	szTerminalClassName[] = "TERMINAL_WINDOW";

HAB	hab;			/* AJ[ubNnh */
HWND	hwndMain;		/* CEBhEnh */
HWND	hwndUser;		/* [UǗEBhEnh */
HWND	hwndBBS;		/* fǗEBhEnh */
HWND	hwndMail;		/* [ǗEBhEnh */
HWND	clientMonitor[N_CHANNEL];	/* j^[EBhEnh */
HWND	clientTerminal[N_CHANNEL];	/* ^[~iEBhEnh */
SAVEDATA	sv = {		/* ݒf[^ */
	{
		{PORT_LOCAL,  0, 0, 0, 0},
		{PORT_MODEM,  4, 1, 0, 0},
		{PORT_NOTUSE, 4, 1, 0, 0},
		{PORT_NOTUSE, 4, 1, 0, 0}
	},
	{
		{"", 0, "", "", 0, "", 0, "", 0},
		{"ATZ", 'R', "RING", "ATA", 'D', "+++", 2, "ATH", 3},
		{"ATZ", 'R', "RING", "ATA", 'D', "+++", 2, "ATH", 3},
		{"ATZ", 'R', "RING", "ATA", 'D', "+++", 2, "ATH", 3}
	},
	{
		"SYS00000",
		"E.EXE",
		"",
		3,
		"",
		'*',
		'*'
	}
};
char	*portName[N_CHANNEL] = {"", "com1", "com2", "com3"};	/* |[g */
BOOL	portOpenFlag[N_CHANNEL];	/* |[gI[vtO */
HFILE	portHndl[N_CHANNEL];		/* |[gnh */
HFILE	ch0Hndl;			/* `lO݃nh */
USHORT	threadID[N_CHANNEL];		/* Xbhhc */
BOOL	monitorFlag[N_CHANNEL];		/* j^[tO */
USHORT	terminalMode[N_CHANNEL];	/* ^[~i[h */
FILE	*termXmodemFP[N_CHANNEL];	/* wlncdlMt@C|C^*/
BOOL	closeRequest;			/* S`lN[YvtO */
USHORT	receiveTimer[N_CHANNEL];	/* Ď^C}[l */
BOOL	conxxxtFlag[N_CHANNEL];		/* ڑtO */
FILE	*logFp[N_CHANNEL];		/* ʐMeۑt@C|C^ */
SHORT	cxScreen;			/* ʂ̉̑傫 */
SHORT	cyScreen;			/* ʂ̏c̑傫 */
SHORT	gcyChar;			/* ̍ */
SHORT	gcxAveChar;			/* ̕ϕ */
SHORT	gcxMaxChar;			/* ̍ő啝 */
BOOL	echoBackFlag[N_CHANNEL];	/* GR[obNtO */
CHAR	cUserID[N_CHANNEL][9];		/* Jg[Uhc */
CHAR	cGroup[N_CHANNEL][9];		/* Jg[UO[v */
CHAR	cUserLevel[N_CHANNEL];		/* Jgx */

/*	f[^t@C	*/
CHAR	fnEnvData[] = "ENV.DAT";	/* ݒt@C */
CHAR	fnOperation[] = "*.OPR";	/* `t@C */

/*	bZ[Wt@C	*/
CHAR	fnConxxxtMsg[] = "CONxxxT.MSG";	/* ڑbZ[W */
CHAR	fnLoginMsg[] = "LOGIN.MSG";	/* OCbZ[W */

/*	ʐMt@C	*/
CHAR	dnLOGFILE[] = "LOGFILE";	/* fBNg */
CHAR	fnLOGDBF[] = "LOG.DBF";		/* f[^t@C */
CHAR	fnLOGNDX[] = "LOG.NDX";		/* CfbNXt@C */
DB	*logDBp;			/* f[^x[XǗ|C^ */

/*	[UǗt@C	*/
CHAR	fnUSERDBF[] = "USER.DBF";	/* f[^t@C */
CHAR	fnUSERIDNDX[] = "USER_U.NDX";	/* [UhcpCfbNXt@C*/
CHAR	fnFURIGANANDX[] = "USER_F.NDX"; /* ӂ肪ȗpCfbNXt@C*/
SHORT	indexUserID;			/* [UhcpCfbNXԍ */
SHORT	indexFurigana;			/* ӂ肪ȗpCfbNXԍ */
DB	*userDBp;			/* f[^x[XǗ|C^ */

/*	̔t@C	*/
CHAR	fnSALESDBF[] = "SALES.DBF";	/* f[^t@C */
CHAR	fnSALESNDX[] = "SALES.NDX";	/* CfbNXt@C */
SHORT	indexSales;			/* CfbNXԍ */
DB	*salesDBp;			/* f[^x[XǗ|C^ */

/*	fǗt@C	*/
CHAR	dnBBS[] = "BBS";		/* fBNg */
CHAR	fnBBSMDBF[] = "BBSM.DBF";	/* f[^t@C */
CHAR	fnBBSMNDX[] = "BBSM.NDX";	/* CfbNXt@C */
SHORT	indexBBSM;			/* CfbNXԍ */
DB	*BBSMDBp;			/* f[^x[XǗ|C^ */

/*	fǗt@C	*/
CHAR	fnBBSDBF[] = "BBS.DBF";		/* f[^t@C */
CHAR	fnBBSNDX[] = "BBS.NDX";		/* CfbNXt@C */

/*	[Ǘt@C	*/
CHAR	dnMAIL[] = "MAIL";		/* fBNg */
CHAR	fnMAILDBF[] = "MAIL.DBF";	/* f[^t@C */
CHAR	fnMAILANDX[] = "MAIL_A.NDX";	/* S[CfbNXt@C */
CHAR	fnMAILS1NDX[] = "MAIL_S1.NDX";	/* M[Uhcޯ̧ٖ */
CHAR	fnMAILR1NDX[] = "MAIL_R1.NDX";	/* M[Uhcޯ̧ٖ */
CHAR	fnMAILS2NDX[] = "MAIL_S2.NDX";	/* M[Uhcޯ̧ٖ */
CHAR	fnMAILR2NDX[] = "MAIL_R2.NDX";	/* M[Uhcޯ̧ٖ */
SHORT	indexMailA;			/* S[CfbNXԍ */
SHORT	indexMailS1;			/* M[UhcCfbNXԍP */
SHORT	indexMailR1;			/* M[UhcCfbNXԍP */
SHORT	indexMailS2;			/* M[UhcCfbNXԍQ */
SHORT	indexMailR2;			/* M[UhcCfbNXԍQ */
DB	*mailDBp;			/* f[^x[XǗ|C^ */

/*	VXeُI`FbNt@C	*/
CHAR	fnFCHECK[] = "PCNET.CHK";
